Posted by gavspen
Henagon

Warned to update, then cant do it.

Hi,

When I start the connection to the remote computer (I'm in the US, remote computer in the UK) I get this:

"IMPORTANT: Please update the remote TeamViewer now, as it does not use the latest version. The remote TeamViewer version will be deprecated soon. Therefore please update otherwise your connection will be stopped after 5 minutes."

Then, after I complete the connection, I try to do the update on the remote computer and get this:

"You're up-to-date! TeamViewer 12.0.139437 is currently the newest version available."

I am aware that v.12 is not the latest, but I guess it means the latest for the OS on the remote computer. Both computers are running OS 10.9.5 and TeamViewer v.12.0.139437

I just tried it and it did indeed time out. I tried to reconnect and got this:

"Connection blocked after timeout. Your license limits the maximum session duration to a partner, immediate reconnects are blocked. Please try later or upgrade your license. Connections to this partner will be blocked until 14:20"

This is for personal use and I've had no license issues till now, although it's been a while since I used it.

I also wonder why I'm not geting the same upgrade warning on my computer, but just the remote one.

Anyone know what's happening here, and how to fix it?